<?php
session_start();

// Verificación de sesión activa
if (!isset($_SESSION["username"]) || !isset($_SESSION["password"]) || !isset($_SESSION["server_url"])) {
    header("Location: ./login.php"); // Redirigir al login si no hay sesión activa
    exit;
}

// Cargar datos de sesión para acceso fácil
$get_dns = $_SESSION["server_url"]; // URL del servidor Xtream Codes
$username = $_SESSION["username"];
$password = $_SESSION["password"];

// Validar sesión con la API de Xtream Codes
$authUrl = "{$get_dns}/player_api.php?username={$username}&password={$password}";
$userAgent = 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36';
$opts = [
    'http' => [
        'header' => "User-Agent: $userAgent\r\n"
    ]
];
$context = stream_context_create($opts);

$response = file_get_contents($authUrl, false, $context);
$api = json_decode($response, true);

// Comprobar si la autenticación es válida
if (!isset($api['user_info']['auth']) || $api['user_info']['auth'] != 1 || $api['user_info']['status'] !== "Active") {
    // Si la autenticación falla, destruir la sesión y redirigir al login
    session_destroy();
    header("Location: ./login.php");
    exit;
}

echo "\n";
?>
